void _Analyse()
{
    //Full sim
	TFile g4("Full.root");
	TTree* t4 = g4.Get("");
     // Fast sim 	
	TFile pf4("Fast.root");
	TTree* p4 = pf4.Get(""); 
	
	// Create histogram from tree
	t4->Draw("e1x1 >> he1x1(100, 10.,20. )");
	he1x1->SetFillColor(3);
	he1x1->SetFillColor(3);
	p4->Draw("e1x1 >> phe1x1(100, 10.,20.)");
	phe1x1->SetMarkerColor(2);
	phe1x1->SetMarkerStyle(21);
	phe1x1 ->SetLineColor(2);
        //plotting
	TCanvas *  c1= new TCanvas();
	c1->SetGridx();
	c1->SetGridy();
	c1->SetLogy();
	he1x1 ->Draw();
	he1x1->GetXaxis()->SetTitle("Energy /GeV");
	phe1x1 ->Draw("SAMES E1");
	
	c1->Print("CentralCrystal.gif");

	cout << "****************  Analyse ***************" << endl;
	cout <<" Geant 4:  "<<endl;
	cout <<" Mean   "<< he1x1->GetMean() <<endl;
	cout <<" --------------------------------   " <<endl; 
	cout <<" GFLASH 4:  "  << endl;
	cout <<" Mean   "<< phe1x1->GetMean() <<endl;
	cout <<" --------------------------------   " <<endl;
	cout <<" Differenz  "  << endl;
	cout <<" Mean   "<< 100*((phe1x1->GetMean() / he1x1->GetMean()) -1.)<<" %" <<endl;
	cout << "*****************************************" << endl;

	//3x3
	t4->Draw("e3x3 >> he3x3(100,10.,21. )");
	he3x3->SetFillColor(3);
	he3x3->SetFillColor(3);	
	p4->Draw("e3x3 >> phe3x3(100,10.,21. )");
	phe3x3->SetMarkerColor(2);
	phe3x3->SetMarkerStyle(21);
	phe3x3 ->SetLineColor(2);
       	TCanvas *  c2= new TCanvas();
	c2->SetGridx();
	c2->SetGridy();
	he3x3 ->Draw();	
	c2->SetLogy();
	he3x3->GetXaxis()->SetTitle("Energy /GeV");
	phe3x3 ->Draw("SAMES E1");	
	c2->Print("Matrix_3x3.gif");

	cout << "****************  Analyse ***************" << endl;
	cout <<" Geant 4:  "<<endl;
	cout <<" Mean   "<< he3x3->GetMean() <<endl;
	cout <<" --------------------------------   " <<endl;
	cout <<" GFLASH 4:  "  << endl;
	cout <<" Mean   "<< phe3x3->GetMean() <<endl;
	cout <<" --------------------------------   " <<endl;
	cout <<" Differenz  "  << endl;
	cout <<" Mean   "<< 100*((phe3x3->GetMean() / he3x3->GetMean()) -1.)<<" %" <<endl;
	cout << "*****************************************" << endl;




	// 5x5
	t4->Draw("e5x5 >> he5x5(100,10.,21. )");
	he5x5->SetFillColor(3);
	he5x5->SetFillColor(3);
	
	p4->Draw("e5x5 >> phe5x5(100,10.,21. )");
	phe5x5->SetMarkerColor(2);
	phe5x5->SetMarkerStyle(21);
	phe5x5 ->SetLineColor(2);
	
	TCanvas *  c3= new TCanvas();
	c3->SetGridx();
	c3->SetGridy();	c3->SetLogy();
	he5x5 ->Draw();
	he5x5->GetXaxis()->SetTitle("Energy /GeV");
	phe5x5 ->Draw("SAMES E");
	
	c3->Print("Matrix_5x5.gif");

	cout << "****************  Analyse ***************" << endl;
	cout <<" Geant 4:  "<<endl;
	cout <<" Mean   "<< he5x5->GetMean() <<endl;
	cout <<" --------------------------------   " <<endl;
	cout <<" GFLASH 4:  "  << endl;
	cout <<" Mean   "<< phe5x5->GetMean() <<endl;
	cout <<" --------------------------------   " <<endl;
	cout <<" Differenz  "  << endl;
	cout <<" Mean   "<< 100*((phe5x5->GetMean() / he5x5->GetMean()) -1.)<<" %" <<endl;
	cout << "*****************************************" << endl; 

	exit();
}
